// out: ../css/layout.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// mixins variables
@import "variables.scss";

//content
.wrapper-center {
  padding: 0 3%;
}

.page-node-type-landing-page {
  .wrapper-center {
    padding: 0;

    &.col-md-9,
    &.col-md-6 {
      width: 100%;
    }
  }

  .sidebar-left,
  .sidebar-right {
    display: none;
  }
}

@media only screen and (max-width: 991px) {
  .sidebar-left,
  .sidebar-right {
    padding: 0 3%;
  }
}

// language switcher on main
main {
  .block-language {
    padding: 0 0 5px;

    & > .links {
      @include box-shadow(0, 0, 0, rgba(0, 0, 0, 0));
      @include opacity(1);
      display: block;
      margin: 0 0 0 10px;
      padding: 0;
      float: right;
      position: static;

      & > li {
        float: left;
        list-style-type: none;
        margin-bottom: -1px;
        margin: 0;
        padding: 4px;
      }

      & > li > a {
        margin-right: 2px;
        line-height: 1.428571429;
        border: 1px solid transparent;
        border-radius: 0;
        padding: 0 5px;
      }

      &:before {
        display: none;
      }
    }
  }
}

.has-header {
  main {
    .block-language {
      position: absolute !important;
      top: 100vh;
      margin: auto;
      max-width: 1100px;
      width: 100%;
      z-index: 10;
      right: 0;
      left: 0;
      padding: 5px 10px;
    }
  }

  &.toolbar-fixed {
    main {
      .block-language {
        top: calc(100vh - 39px);
      }
    }
  }

  &.toolbar-fixed.toolbar-vertical {
    main {
      .block-language {
        top: calc(100vh - 39px);
      }
    }
  }

  &.toolbar-fixed.toolbar-tray-open:not(.toolbar-vertical) {
    main {
      .block-language {
        top: calc(100vh - 78px);
      }
    }
  }

  &.cern-toolbar {
    main {
      .block-language {
        top: calc(100vh - 40px);
      }
    }
  }

  &.cern-toolbar.toolbar-fixed {
    main {
      .block-language {
        top: calc(100vh - 79px);
      }
    }
  }

  &.cern-toolbar.toolbar-fixed.toolbar-vertical {
    main {
      .block-language {
        top: calc(100vh - 79px);
      }
    }
  }

  &.cern-toolbar.toolbar-tray-open:not(.toolbar-vertical) {
    main {
      .block-language {
        top: calc(100vh - 118px);
      }
    }
  }
}

//footer
.footer-last-logo {
  @include opacity(0.6);
}

@media only screen and (max-width: 767px) {
  body > footer {
    .footer-last-logo {
      margin: auto;
      float: none;
      min-width: 60px;
    }
  }
}

@media only screen and (max-width: 1140px) {
  body > footer {
    padding: 55px 3%;
  }
}

@media only screen and (max-width: 980px) {
  body > footer {
    padding: 3%;
  }

  .footer-wrapper {
    div[class*="footercolumn1"],
    div[class*="footercolumn2"],
    div[class*="footercolumn3"],
    div[class*="footercolumn4"] {
      margin: 0 0 20px;
      width: 100%;

      &:after {
        display: none;
      }
    }
  }
}

/* custom classes for teaser list blocks created by views */

.teaser-list-block {
  .view-footer {
    text-align: right;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
      }
    }
  }

  .views-field {
    a {
      line-height: 28px !important;

      &:before {
        content: "\j";
        @include font-size(4);
        @include transition(all 0.6s ease-in-out 0s);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        left: -10px;
        line-height: 25px;
        width: 12px;
        text-indent: -25px;
      }

      &:hover:before {
        left: 0px;
      }
    }
  }
}

header {
  .dropdown {
    white-space: nowrap;

    > font {
      transition: transform 250ms linear;
      transform-origin: center center;
      transform-style: preserve-3D;

      margin-left: 10px;
      font-size: 18px;
      height: 25px;
      display: none;
    }

    &.open {
      > .dropdown-menu {
        display: block !important;
      }

      > font {
        transform: rotate(45deg);
      }
    }

    a {
      display: inline-block; //important needed to apply the styling to all levels
    }

    > .dropdown-menu > .dropdown > .dropdown-menu li a {
      display: inline-block;
      white-space: normal;
      padding: 0 0 15px 20px;
    }

    @media only screen and (min-width: 1081px) {
      display: flex;
      justify-content: space-between;

      > .dropdown-menu {
        // 3rd level dropdown
        > .dropdown > .dropdown-menu {
          position: absolute;
          left: -100%;
          top: -57%;
          display: none;

          // 4th level dropdown
          > .dropdown > .dropdown-menu {
            left: -120%;
          }
        }
      }

      > font {
        display: block;
      }
    }
  }
}

.copy-wrapper {
  &.light {
    color: $grey-light;
    a {
      color: $grey-light;
    }
  }

  &.dark {
    color: $black;
    a {
      color: $black;
    }
  }
}

.copy-wrapper {
  &.light {
    color: $grey-light;
    a {
      color: $grey-light;
    }
  }

  &.dark {
    color: $black;
    a {
      color: $black;
    }
  }
}

// menu collapse height in mobile devices
.toolbar-fixed,
.toolbar-fixed.toolbar-tray-open,
.toolbar-fixed.toolbar-tray-open.toolbar-vertical,
.toolbar-vertical {
  header .header-wrapper .main-menu {
    .navbar-collapse.collapse.in,
    .navbar-collapse.collapsing {
      height: calc(100vh - 70px);
    }
  }
}
